<?php defined( 'ABSPATH' ) or die; ?>
<div class="wrap wrap-directory-index-guard">
	<div>
		<h1><?php _e( 'Directory Index Guard', 'directory-index-guard' ); ?></h1>
	</div>
	
	<!-- Dashboard Error Message Box -->
	<?php if ( $this->isError() ) : ?>
		<div class="wdig-box">
			<div class="notice wdig-error is-dismissible">
				<?php if ( ! $this->isApache() ) : ?>
					<p>Your webserver is running <?php echo $_SERVER['SERVER_SOFTWARE'] ?>. Unfortunately, Directory Index Guard only
					supports Apache at the moment.</p>
				<?php endif; ?>
				<?php if ( $this->isHtaccessReadOnly() ) : ?>
					<p>The WordPress root .htaccess file is read only.  Directory Index Guard will not be able to update it to provide protection.</p>
				<?php endif; ?>
				<?php if ( $this->isBackupReadOnly() ) : ?>
					<p>WordPress does not have write access to <?php echo $this->backupHtaccessFile ?>.  
					Directory Index Guard will not be able to check for errors before modifying the WordPress root .htaccess file.  
					Without this, Directory Index Guard will not be able to provide protection.</p>
				<?php endif; ?>
				<?php if ( $this->isHtaccessNoAccess() ) : ?>
					<p>WordPress does not have access to create a .htaccess file because the root diretory is read only. 
					Directory Index Guard will not be able to provide protection.</p>
				<?php endif; ?>
				<?php if ( $this->isBackupNoAccess() ) : ?>
					<p>WordPress does not have write access to <?php echo $this->backupDir ?>.  
					Directory Index Guard will not be able to create a backup of the existing WordPress root .htaccess file before before modifying it.  
					Without this, Directory Index Guard will not be able to provide protection.</p>
				<?php endif; ?>
				<?php if ( $this->isSyntaxError() ) : ?>
					<p>An unexpected syntax error occured when Directory Index Guard tried to modify the root WordPress .htaccess file.  
					Directory Index Guard will not be able to provide protection.</p>
				<?php endif; ?>
			</div>
		</div>
	<?php endif; ?>
	

	<!-- Donation notification box  -->
	<?php if ( ! $this->isError() ) : ?>
		<?php if ( $this->isDonationVisible() == 1 ) : ?>
			<div class="notice wdig-notice wdig-info is-dismissible">
				<div class="wdig-p" style="margin-bottom:5px; font-size: medium;">This plugin has required a great deal of time and effort to develop.  By donating, you allow me to continue adding features and building plugins that help people.</div>
				<div>
					<div class="wdig-p"  style="margin-top:10px; margin-bottom:10px">
						<a href="<?php echo $this->build_external_link('directory-index-guard/donate','admin-page-notify_donate','https://www.paypal.com/donate?hosted_button_id=QDGFWBHB2P8DG') ?>">
							<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_LG.gif" border="0" name="submit" title="PayPal - The safer, easier way to pay online!" alt="Donate with PayPal button" />
						</a>
					</div>
					<div class="wdig-support">
						<input type="checkbox" name="agree" />
						<?php _e( '$10 is worth the time it would have taken me to research and apply this fix on my own... or a cup of coffee.', 'directory-index-guard' ); ?>
					</div>
					<div class="wdig-p">
						<a href="<?php esc_attr_e( admin_url( 'admin-post.php?action=dig_donate&v=0' ) ); ?>" style="margin-top:15px"><?php _e( 'I have already donated', 'directory-index-guard' ); ?></a>
					</div>
				</div>
			</div>
		<?php elseif ( $this->isDonationVisible() == 0 ) : ?>
			<div class="notice wdig-success is-dismissible">
				<div class="wdig-support">
					<?php _e( 'Thank you so much for donating.  I really appreciate it.  It is people like you that make createing this plugin possible.', 'directory-index-guard' ); ?>
				</div>
				<div class="wdig-p" style="font-size: medium;">
					<a href="<?php esc_attr_e( admin_url( 'admin-post.php?action=dig_donate&v=1' ) ); ?>" style="margin-top:15px;"><b><?php _e( 'Donate again!', 'directory-index-guard' ); ?></b></a>
				</div>
					<div class="wdig-p" style="font-size: small; text-align: right;">
						<a href="<?php esc_attr_e( admin_url( 'admin-post.php?action=dig_donate&v=-1' ) ); ?>"><?php _e( 'Dismiss', 'directory-index-guard' ); ?></a>					
					</div>
			</div>
		<?php endif; ?>
	<?php endif; ?>

	
	<!-- Please rate notification box  -->
	<?php if ( ! $this->isError() && $this->isRatePluginVisible()  ) : ?>
		<div class="notice wdig-notice wdig-info is-dismissible">
			<div class="wdig-support"><?php _e( 'I would really appreciate it if you could spend a couple of seconds to give a positive review to support this plugin.  Thank you.', 'directory-index-guard' ); ?></div>
			<div class="wdig-p">
				<a href="https://wordpress.org/support/plugin/directory-index-guard/reviews/#new-post" class="button button-primary wdig-button-green" target="_blank"><?php _e( 'Rate us', 'directory-index-guard' ); ?></a>&nbsp;
				<a href="<?php esc_attr_e( admin_url( 'admin-post.php?action=dig_set_rate_plugin&v=later' ) ); ?>" class="button button-primary wdig-button-yellow"><?php _e( 'Later', 'directory-index-guard' ); ?></a>&nbsp;
				<a href="<?php esc_attr_e( admin_url( 'admin-post.php?action=dig_set_rate_plugin&v=never' ) ); ?>" class="button button-primary wdig-button-red"><?php _e( 'Never', 'directory-index-guard' ); ?></a>
			</div>
			<div class="wdig-p">
			    <a href="<?php esc_attr_e( admin_url( 'admin-post.php?action=dig_set_rate_plugin&v=never' ) ); ?>" style="margin-top:15px"><?php _e( 'I have already rated it', 'directory-index-guard' ); ?></a>
			</div>
		</div>
	<?php endif; ?>
	<hr>
	
	<!-- Last Scan Status  -->
	<div class="notice <?php echo $this->getLastScanNotificationClass() ?> is-dismissible" style="font-size: medium; padding-bottom:15px">
		<p style="font-size: medium;"><b>Scan results from <?php echo $this->getLastScanDate() ?></b></p>

		<table cellpadding="5px" style="margin-left:20px">
			<tr><td>Status</td><td><b class="wdig-<?php echo strtolower($this->getLastScanStatus()) ?>"><?php echo $this->getLastScanStatus() ?><b></td></tr>
			<?php if ( $this->getLastScanSafeCount() > 0 ) { ?>
				<tr><td><span style="font-size: medium;">Safe Directories</span></td><td><?php echo $this->getLastScanSafeCount() ?></td></tr>
			<?php } ?>
			<?php if ( $this->getLastScanExposedCount() > 0 ) { ?>
				<tr><td><span style="font-size: medium;">Exposed Directories</span></td><td><?php echo $this->getLastScanExposedCount() ?></td></tr>
			<?php } ?>
			<?php if ( $this->getNotScannedCount() > 0 ) { ?>
				<tr><td><span style="font-size: medium;">New Directories</span></td><td><?php echo $this->getNotScannedCount() ?></td></tr>
			<?php } ?>
			<?php if ( $this->getDirectoriesRemovedCount() > 0 ) { ?>
				<tr><td><span style="font-size: medium;">Removed Directories</span></td><td><?php echo $this->getDirectoriesRemovedCount() ?></td></tr>
			<?php } ?>
		</table>
		
		<?php if ( $this->getNotScannedCount() > 0 ) { ?>
			<p style="font-size: medium; margin-bottom:0px"><b>New directories found : Scan Now Recommended</b></p>
		<?php } ?>
	
		<a href="#" class="button scan-now-button" style="margin-top:10px"><?php _e('Scan Now', 'directory-index-guard' );?></a>	
		
		<?php if ( ! $this->isProtected() ) { ?>
			<p style="font-size: medium;"><b>Not protected by Directory Index Guard</b></p>
			<?php if ( ! $this->isError() ) { ?>
				<a href="#" class="button protection-on-button"><?php _e('Turn Protection On', 'directory-index-guard' );?></a>
			<?php } ?>
		<?php } else if ( $this->htaccess_changed() ) { ?>
			<p style="font-size: medium;"><b>Update Protection Needed</b> The .htaccess file has been edited or changed.</p>
			<?php if ( ! $this->isError() ) { ?>
				<a href="#" class="button protection-update-button"><?php _e('Update Protection', 'directory-index-guard' );?></a>
				&nbsp;
				<a href="#" class="button protection-off-button"><?php _e('Turn Protection Off', 'directory-index-guard' );?></a>
			<?php } ?>
		<?php } else { ?>
			<p style="font-size: medium;"><b>Protected by Directory Index Guard</b></p>
			<?php if ( ! $this->isError() ) { ?>
				<a href="#" class="button protection-off-button"><?php _e('Turn Protection Off', 'directory-index-guard' );?></a>
			<?php } ?>
		<?php } ?>
	</div>
	
	<!-- URL statuses -->
	<div class="wdig-list">
		<table class="wp-list-table widefat fixed striped table-view-list">
			<thead>
				<tr>
					<th><?php _e( '<b>URL</b>', 'directory-index-guard' ); ?></th>
					<th><?php _e( '<b>Status</b>', 'directory-index-guard' ); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php foreach( $this->scan_filesystem() as $url => $status ) : ?>
					<tr class="wdig-set">
						<td class="wdig-url"><a href="<?php echo $url; ?>" target="_blank"><?php echo $url; ?></a></td>
						<td class="wdig-<?php echo strtolower(str_replace(' ', '', $status)); ?>"><?php echo $status; ?></td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
	
</div>