jQuery(document).ready(function ($) {

    // display a message while scan is performed
    function inProgress(message) {
        Swal.fire({
            title: 'Directory Index Guard',
			html: message,
            footer: directory_index_guard.several_minutes,
            allowOutsideClick: false,
            allowEscapeKey: false,
            allowEnterKey: false,
            showConfirmButton: false,
            didOpen: () => {
                Swal.showLoading()
            }
        })
    }

    function resultModal(icon, message) {
        Swal.fire({
            icon: icon,
            title: 'Scan Complete',
            text: message,
            allowOutsideClick: false,
            allowEscapeKey: false,
            allowEnterKey: false
        }).then((result) => {
            if (result.isConfirmed) {
                location.href = '/wp-admin/tools.php?page=directory-index-guard';
            }
        })
    }
	
	function runCommand(action, message) {
		inProgress(message);

        $.post({
            url: directory_index_guard.ajaxurl,
            data: {
                subaction: action,
				nonce: directory_index_guard.nonce
            },
        })
        .always(function (data) {
            swal.close();
        })
        .success(function (response) {
            if (response.success) {
                resultModal('success', response.data.message);
            } else {
                resultModal('error', response.data.message);
            }
        })
        .fail(function (jqXHR, textStatus, errorThrown) {
            resultModal('error', errorThrown);
        });
	}
	
		// protection on
    $('.protection-on-button, #protection-on-button').click(function (e) {
        e.preventDefault();
		runCommand('protection-on', 'Protecting Directory Indexes');
    });

    // scan now
    $('.scan-now-button, #scan-now-button').click(function (e) {
        e.preventDefault();
		runCommand('scan-now', directory_index_guard.scanning);   
    });
		
	// protection off
    $('.protection-off-button, #protection-off-button' ).click(function (e) {
        e.preventDefault();
		runCommand('protection-off', 'Turning Protection Off');
    }); 
	
	// protection update
    $('.protection-update-button, #protection-update-button').click(function (e) {
        e.preventDefault();
		runCommand('protection-update', 'Updating Protection');
    });

	// Confirm box
	$(".wdig-dismiss-link").on("click", function(e) {
		var process = confirm("This will turn off this notification for 2 weeks, are you sure?");
		if (!process) e.preventDefault();
	});

}); // onload
